<nav [ngClass]="stickyNavBar ? 'NavbarItems sticky' : 'NavbarItems'" class="NavbarItems" >
    <div (click)="handleClick()" class="menu-icon">
        <i [ngClass]="activeMenu ? 'bx bx-x' : 'bx bx-menu'"></i>
    </div>
    <ul id="nav-menu" [ngClass]="activeMenu ? 'nav-menu active' : 'nav-menu'">
        <li *ngFor="let item of menuItems">
            <a class="nav-links" (click)="handleClick()" [href]="item.url">{{ item.title }}</a>
        </li>
        <div class="theme-switch">
            <i (click)="switchMode()" [ngClass]="darkMode ? 'bx bx-moon' : 'bx bxs-moon'"></i>
        </div>
    </ul>
</nav>